<script setup lang="ts">
import { ref, computed } from 'vue';
import SdgButton from './SdgButton.vue';

defineProps<{
  title: string;
}>();

const open = ref(false);
const label = computed(() => (open.value ? 'hide' : 'show'));
</script>

<template>
  <div>
    <div class="flex justify-between mb-2">
      <span class="text-xl">{{ title }}</span>
      <span
        ><SdgButton color="bg-slate-800" @onClick="open = !open">{{ label }}</SdgButton>
      </span>
    </div>
    <div v-if="open">
      <slot />
    </div>
  </div>
</template>
